Skip to main content
POST
/
retailers
/
api
/
v1
/
feedback
Submit inventory feedback
curl --request POST \
  --url https://www.closient.com/retailers/api/v1/feedback \
  --header 'Content-Type: application/json' \
  --data '
{
  "offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "feedback_type": "<string>",
  "comment": ""
}
'
{
  "id": "<string>",
  "feedback_type": "<string>",
  "created": "<string>"
}

Body

application/json

Request body for submitting inventory feedback.

offer_id
string<uuid>
required

ID of the offer being reported.

feedback_type
string
required

Type: 'out_of_stock', 'wrong_price', 'store_closed', or 'other'.

comment
string
default:""

Optional comment with additional details.

Response

201 - application/json

Created

Response body after successfully submitting feedback.

id
string
required

Unique feedback record identifier.

feedback_type
string
required

The feedback type submitted.

created
string
required

ISO 8601 timestamp of when the feedback was created.